Bug 1215838 - Client Errata Install Tasks containing errors are still marked as a Success
Summary: Client Errata Install Tasks containing errors are still marked as a Success
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: rhci-common-installer
TreeView+ depends on / blocked
 
Reported: 2015-04-27 21:39 UTC by Mike McCune
Modified: 2019-06-13 21:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-15 15:51:36 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (71.81 KB, image/png)
2015-04-27 21:39 UTC, Mike McCune
no flags Details
errata install success/fail screenshot (150.78 KB, image/png)
2015-11-20 22:10 UTC, Mike McCune
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 12922 Normal Closed Repo syncing tasks containing errors are still marked as a Success 2020-06-09 11:43:01 UTC
Red Hat Product Errata RHSA-2016:0174 normal SHIPPED_LIVE Moderate: Satellite 6.1.7 security, bug and enhancement fix update 2016-02-15 20:50:32 UTC

Description Mike McCune 2015-04-27 21:39:03 UTC
Download a repo with a broken package (corruption or checksum mismatch) and the Task will still be green/success with a message:

 Output:
   New packages: 23 (426 KB).
   Failed to download 1 package.

but the user won't see this until they view the details of the task.

This is misleading and should be in a Warning state.

Comment 1 Mike McCune 2015-04-27 21:39:59 UTC
Created attachment 1019444 [details]
screenshot

Comment 2 Mike McCune 2015-04-27 21:42:08 UTC
An example repo with an intentionally corrupted RPM can be found here:

https://mmccune.fedorapeople.org/repos/broken-checksum/

the package 'thar' has been truncated to only be 50k when it should be ~97K

https://mmccune.fedorapeople.org/repos/broken-checksum/thar-8.9.8-1.noarch.rpm

Comment 5 Mike McCune 2015-11-20 22:09:19 UTC
additionally also saw the same behavior installing errata on a host, shows up green/success but actually failed. 


"""
Label: Actions::Katello::System::Erratum::Install
Name: Install erratum
Owner: admin
Started at: 2015-11-20 20:35:08 UTC
Ended at: 2015-11-20 21:02:45 UTC
State: stopped
Result: success 


 Output:

Test Transaction Errors:   installing package kernel-2.6.32-504.16.2.el6.x86_64 needs 22MB on the /boot filesystem
  installing package kernel-2.6.32-431.20.3.el6.x86_64 needs 50MB on the /boot filesystem
  installing package kernel-2.6.32-431.1.2.el6.x86_64 needs 78MB on the /boot filesystem
  installing package kernel-2.6.32-504.8.1.el6.x86_64 needs 106MB on the /boot filesystem
  installing package kernel-2.6.32-431.11.2.el6.x86_64 needs 134MB on the /boot filesystem
  installing package kernel-2.6.32-504.12.2.el6.x86_64 needs 162MB on the /boot filesystem
"""

Comment 6 Mike McCune 2015-11-20 22:10:47 UTC
Created attachment 1097343 [details]
errata install success/fail screenshot

Comment 7 Mike McCune 2015-11-24 16:18:27 UTC
Ignore the first part of this bug in the description, this was resolved by:

https://bugzilla.redhat.com/show_bug.cgi?id=1246054

but the latter half needs to be resolved as we are not properly telling the user an errata installation failed.

Comment 8 John Mitsch 2015-12-11 19:44:29 UTC
Mike,

Is there faulty errata that can be used to recreate this?

-John

Comment 9 John Mitsch 2015-12-22 18:49:53 UTC
Created redmine issue http://projects.theforeman.org/issues/12922 from this bug

Comment 10 Bryan Kearney 2015-12-22 19:01:24 UTC
Upstream bug component is WebUI

Comment 11 Bryan Kearney 2016-01-04 21:01:50 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/12922 has been closed
-------------
John Mitsch
Applied in changeset commit:katello|3bfc5f48ab4ba56c1fc5869d9ce4239d27f9b55d.

Comment 12 John Mitsch 2016-01-06 22:22:35 UTC
The upstream fix addressed a failed repo sync, but not a failed errata install. Since these are two separate issues and as far as I can see have to be addressed separately, I opened up a new bug at https://bugzilla.redhat.com/show_bug.cgi?id=1296334 for the errata install failing.

Comment 14 jcallaha 2016-02-04 21:10:13 UTC
Verified in Satellite 6.1.7 compose.

A warning state is now presented.

An error occurred during the sync 
{"expected_size"=>95920, "error_code"=>"size_mismatch", "actual_size"=>51200, "unit_key"=>{"name"=>"thar", "checksum"=>"04fe527d62daf452d3b359ae1d174a3459e3d4f015b3dfe459154a65ecb64f39", "epoch"=>"0", "version"=>"8.9.8", "release"=>"1", "arch"=>"noarch", "checksumtype"=>"sha256"}}

Comment 16 errata-xmlrpc 2016-02-15 15:51:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:0174


Note You need to log in before you can comment on or make changes to this bug.